// MobileHotspotDlg.h : header file
//

#pragma once
#include "afxwin.h"

#include "..\..\..\..\Source\WiFi\wclWiFi.h"
#include "afxcmn.h"

using namespace wclWiFi;


// CMobileHotspotDlg dialog
class CMobileHotspotDlg : public CDialog
{
// Construction
public:
	CMobileHotspotDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_MOBILEHOTSPOT_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
private:
	CEdit edSsid;
	CEdit edPassword;

	CwclMobileHotspot wclMobileHotspot;

	void HotspotOpened(void* Sender);
	void HotspotClosed(void* Sender);

	void Trace(const CString& Msg);
	void Trace(const CString& Msg, const int Error);

public:
	afx_msg void OnBnClickedButtonOpen();
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedButton3();
	afx_msg void OnBnClickedButton4();
	afx_msg void OnBnClickedButton9();
	afx_msg void OnBnClickedButton5();
	afx_msg void OnBnClickedButton7();
	afx_msg void OnBnClickedButton6();
	afx_msg void OnBnClickedButton8();
	afx_msg void OnBnClickedButton10();
	afx_msg void OnBnClickedButton11();
	afx_msg void OnDestroy();
private:
	CComboBox cbBand;
public:
	afx_msg void OnBnClickedButtonIsSupported();
	afx_msg void OnBnClickedButton1GetBand();
	afx_msg void OnBnClickedButton1SetBand();
private:
	CListCtrl lvConnectedClients;
public:
	afx_msg void OnBnClickedButtonButtonConnectedClients();
	afx_msg void OnBnClickedButtonCheckTimeout();
	afx_msg void OnBnClickedButton1EnableTimeout();
	afx_msg void OnBnClickedButton1DisableTimeout();
};
